#ifndef _kwinhdr_
#define _kwinhdr_

#ifndef _IHANDLER_
  #include <ihandler.hpp>
#endif

class _Export KWindowHandler : public IHandler
{
   protected:
      virtual Boolean dispatchHandlerEvent(IEvent& event);
      virtual Boolean adjustWindowPos(IEvent& event) { return false; }
      virtual Boolean appTerminateNotify(IEvent& event) { return false; }
      virtual Boolean beginDrag(IEvent& event) { return false; }
      virtual Boolean beginSelect(IEvent& event) { return false; }
      virtual Boolean button1MotionEnd(IEvent& event) { return false; }
      virtual Boolean button1MotionStart(IEvent& event) { return false; }
      virtual Boolean button2MotionEnd(IEvent& event) { return false; }
      virtual Boolean button2MotionStart(IEvent& event) { return false; }
      virtual Boolean button3MotionEnd(IEvent& event) { return false; }
      virtual Boolean button3MotionStart(IEvent& event) { return false; }
      virtual Boolean calcValidRects(IEvent& event) { return false; }
      virtual Boolean contextMenu(IEvent& event) { return false; }
      virtual Boolean control(IEvent& event) { return false; }
      virtual Boolean controlPointer(IEvent& event) { return false; }
      virtual Boolean discardObject(IEvent& event) { return false; }
      virtual Boolean dragError(IEvent& event) { return false; }
      virtual Boolean dragFileComplete(IEvent& event) { return false; }
      virtual Boolean dragLeave(IEvent& event) { return false; }
      virtual Boolean dragOver(IEvent& event) { return false; }
      virtual Boolean dragOverNotify(IEvent& event) { return false; }
      virtual Boolean drawItem(IEvent& event) { return false; }
      virtual Boolean drop(IEvent& event) { return false; }
      virtual Boolean dropHelp(IEvent& event) { return false; }
      virtual Boolean emphasizeTarget(IEvent& event) { return false; }
      virtual Boolean endConversation(IEvent& event) { return false; }
      virtual Boolean endDrag(IEvent& event) { return false; }
      virtual Boolean endSelect(IEvent& event) { return false; }
      virtual Boolean error(IEvent& event) { return false; }
      virtual Boolean fileRendered(IEvent& event) { return false; }
      virtual Boolean focusChange(IEvent& event) { return false; }
      virtual Boolean help(IEvent& event) { return false; }
      virtual Boolean hitTest(IEvent& event) { return false; }
      virtual Boolean journalNotify(IEvent& event) { return false; }
      virtual Boolean matchMnemonic(IEvent& event) { return false; }
      virtual Boolean minMaxFrame(IEvent& event) { return false; }
      virtual Boolean mouseMove(IEvent& event) { return false; }
      virtual Boolean move(IEvent& event) { return false; }
      virtual Boolean nextMenu(IEvent& event) { return false; }
      virtual Boolean null(IEvent& event) { return false; }
      virtual Boolean open(IEvent& event) { return false; }
      virtual Boolean pActivate(IEvent& event) { return false; }
      virtual Boolean pControl(IEvent& event) { return false; }
      virtual Boolean pPaint(IEvent& event) { return false; }
      virtual Boolean pSetFocus(IEvent& event) { return false; }
      virtual Boolean pSize(IEvent& event) { return false; }
      virtual Boolean pSysColorChange(IEvent& event) { return false; }
      virtual Boolean paint(IEvent& event) { return false; }
      virtual Boolean presParamChanged(IEvent& event) { return false; }
      virtual Boolean printObject(IEvent& event) { return false; }
      virtual Boolean queryAccelTable(IEvent& event) { return false; }
      virtual Boolean queryConvertPos(IEvent& event) { return false; }
      virtual Boolean queryHelpInfo(IEvent& event) { return false; }
      virtual Boolean queryTrackInfo(IEvent& event) { return false; }
      virtual Boolean queryWindowParams(IEvent& event) { return false; }
      virtual Boolean realizePalette(IEvent& event) { return false; }
      virtual Boolean render(IEvent& event) { return false; }
      virtual Boolean renderComplete(IEvent& event) { return false; }
      virtual Boolean renderFile(IEvent& event) { return false; }
      virtual Boolean renderPrepare(IEvent& event) { return false; }
      virtual Boolean sem1(IEvent& event) { return false; }
      virtual Boolean sem2(IEvent& event) { return false; }
      virtual Boolean sem3(IEvent& event) { return false; }
      virtual Boolean sem4(IEvent& event) { return false; }
      virtual Boolean setAccelTable(IEvent& event) { return false; }
      virtual Boolean focusSet(IEvent& event) { return false; }
      virtual Boolean setHelpInfo(IEvent& event) { return false; }
      virtual Boolean setSelection(IEvent& event) { return false; }
      virtual Boolean setWindowParams(IEvent& event) { return false; }
      virtual Boolean shown(IEvent& event) { return false; }
      virtual Boolean singleSelect(IEvent& event) { return false; }
      virtual Boolean sized(IEvent& event) { return false; }
      virtual Boolean substituteString(IEvent& event) { return false; }
      virtual Boolean sysColorChange(IEvent& event) { return false; }
      virtual Boolean sysValueChanged(IEvent& event) { return false; }
      virtual Boolean textEdit(IEvent& event) { return false; }
      virtual Boolean timer(IEvent& event) { return false; }
      virtual Boolean trackFrame(IEvent& event) { return false; }
      virtual Boolean translateAccel(IEvent& event) { return false; }
      virtual Boolean updateFrame(IEvent& event) { return false; }
      virtual Boolean windowPosChanged(IEvent& event) { return false; }
};

#endif
